%define version 0.1.0
%define release 2mdk

%define req_gdl_version		0.4.0
%define req_gbf_version		0.1.0
%define req_xml_version		2.5.8
%define req_gnomevfs_version	2.3.5
%define req_bonoboui_version	2.3.3
%define req_gnomeui_version	2.3.3
%define req_vte_version		0.11.0

%define api_version 1
%define lib_major 0
%define libname %mklibname %{name}- %{api_version}

Summary:	GNOME based Development Environment (formerly Anjuta2)
Name:		scaffold
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/GNOME and GTK+
URL:		http://www.gnome.org/softwaremap/projects/scaffold/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.1/%{name}-%{version}.tar.bz2

BuildRequires:	libgdl-1-devel >= %{req_gdl_version}
BuildRequires:	libgbf-1-devel >= %{req_gbf_version}
BuildRequires:	libxml2-devel >= %{req_xml_version}
BuildRequires:	libgnome-vfs2-devel >= %{req_gnomevfs_version}
BuildRequires:	libbonoboui2-devel >= %{req_bonoboui_version}
BuildRequires:	libgnomeui2-devel >= %{req_gnomeui_version}
BuildRequires:	libvte-devel >= %{req_vte_version}
BuildRequires:	ImageMagick
BuildRequires:	intltool
Prereq:		GConf2
Requires:	glimmer >= 1.99.0


%description
Scaffold is meant to aid users with development work.  It provides an
editor with syntax hilightlighting, a rudimentary project/build system
and an interface to the gdb debugger.  The functionality can be
extended with plugins that create various tools.

Scaffold is a rename of anjuta2 project -- which is itself a merge of
anjuta and gIDE project -- in order to distinguish the different team
effort.

%package	-n %{libname}_%{lib_major}
Summary:	Main library for Scaffold, a GNOME Development Environment
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}_%{lib_major}
Scaffold is meant to aid users with development work.  It provides an
editor with syntax hilightlighting, a rudimentary project/build system
and an interface to the gdb debugger.  The functionality can be
extended with plugins that create various tools.

This package contains main library necessary for %{name} to run.

%package	-n %{libname}_%{lib_major}-devel
Summary:	Headers and devel files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname}_%{lib_major} = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname}_%{lib_major}-devel
Scaffold is meant to aid users with development work.  It provides an
editor with syntax hilightlighting, a rudimentary project/build system
and an interface to the gdb debugger.  The functionality can be
extended with plugins that create various tools.

This package contains headers and static library for %{name}.
You will need this package if you want to compile or develop any
program that needs %{name}.


%prep
%setup -q

%build
# MDK does not have libtool 1.5
%define __libtoolize /bin/true
intltoolize -c -f
%configure2_5x
%make

%install
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 command="%{_bindir}/scaffold" \
 icon="scaffold.png" \
 longtitle="Develop software in an integrated environment" \
 needs="x11" \
 section="Applications/Development/Development environments" \
 title="Scaffold Development Environment" \
 startup_notify="true"
_EOF_

# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m 0644 -D      ./data/scaffold.png %{buildroot}%{_liconsdir}/scaffold.png
convert -geometry 32x32 ./data/scaffold.png %{buildroot}%{_iconsdir}/scaffold.png
convert -geometry 16x16 ./data/scaffold.png %{buildroot}%{_miconsdir}/scaffold.png

%{find_lang} %{name}

# remove files not distributed
rm -f	%{buildroot}%{_libdir}/%{name}/plugins/*.a \
	%{buildroot}%{_libdir}/%{name}/plugins/*.la

%post
%{update_menus}
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in scaffold; do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done

%postun
%{clean_menus}
if [ "$1" = "0" ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    for SCHEMA in scaffold; do
        gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
    done
fi

%clean
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT

%post -n %{libname}_%{lib_major} -p /sbin/ldconfig
%postun -n %{libname}_%{lib_major} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/application-registry/*.applications
%{_datadir}/applications/*.desktop
%{_datadir}/mime-info/*
%{_libdir}/%{name}
%{_mandir}/man?/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_menudir}/%{name}
%{_iconsdir}/scaffold.png
%{_miconsdir}/scaffold.png
%{_liconsdir}/scaffold.png

%files -n %{libname}_%{lib_major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n %{libname}_%{lib_major}-devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la

%changelog
* Fri Aug 29 2003 Abel Cheung <deaddog@deaddog.org> 0.1.0-2mdk
- make sure it uses newer glimmer bonobo component

* Sat Aug 23 2003 Abel Cheung <deaddog@deaddog.org> 0.1.0-1mdk
- First Mandrake spec
